catalog-products
Update a catalog product status
PUT
/
catalog
/
products
/
{productId}
/
status
Update a catalog product status
curl --request PUT \
--url https://api-sandbox.paygood.co/catalog/products/{productId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "<string>",
"merchantId": "<string>"
}
'import requests
url = "https://api-sandbox.paygood.co/catalog/products/{productId}/status"
payload = {
"idempotencyKey": "<string>",
"merchantId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotencyKey: '<string>', merchantId: '<string>'})
};
fetch('https://api-sandbox.paygood.co/catalog/products/{productId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productId": "<string>",
"merchantId": "<string>",
"name": "<string>",
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}Authorizations
Merchant API key bearer token. Legacy wire prefixes api_key_ and api_ are also accepted.
Path Parameters
Product TypeID (prod_...) to update.
Body
application/json
Status update payload with idempotency key, merchant scope, and target status.
Response
200 - application/json
Minimum string length:
1Available options:
active, inactive Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$⌘I
Update a catalog product status
